> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nimbleway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Run Artifacts



## OpenAPI

````yaml /api-reference/openapi.json get /v2/jobs/runs/{run_id}/artifacts
openapi: 3.1.0
info:
  title: Nimble SDK
  version: 1.0.0
  description: The AI-Native SDK for Real-Time Web Data at scale
servers:
  - url: https://sdk.nimbleway.com
security: []
paths:
  /v2/jobs/runs/{run_id}/artifacts:
    get:
      tags:
        - Jobs
      summary: List Run Artifacts
      operationId: >-
        list_run_artifacts_public_v2_api_v2_public_jobs_runs__run_id__artifacts_get
      parameters:
        - in: path
          name: run_id
          required: true
          schema:
            title: Run Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArtifactListPublicV2'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
components:
  schemas:
    ArtifactListPublicV2:
      description: Artifacts produced by a run.
      properties:
        items:
          description: Artifacts produced by the run.
          items:
            $ref: '#/components/schemas/ArtifactPublicV2'
          title: Items
          type: array
      required:
        - items
      title: ArtifactListPublicV2
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ArtifactPublicV2:
      description: A file produced by a run.
      properties:
        created_at:
          description: When the artifact was created.
          format: date-time
          title: Created At
          type: string
        description:
          description: Human-readable artifact description.
          title: Description
          type: string
        id:
          description: Artifact identifier.
          title: Id
          type: string
        type:
          description: Artifact type.
          title: Type
          type: string
      required:
        - id
        - type
        - description
        - created_at
      title: ArtifactPublicV2
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.